ScriptVariableAnalyzer.VisitorSourceOperation (groovy 2.4.9 API)
Date: 2017-02-24

Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class VisitorSourceOperation

- org.codehaus.groovy.tools.shell.util.ScriptVariableAnalyzer.VisitorSourceOperation

- custom PrimaryClassNodeOperation to be able to hook our code visitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyClassVisitor` | `visitor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptVariableAnalyzer.VisitorSourceOperation (GroovyClassVisitor visitor)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation` | `org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#call(org.codehaus.groovy.control.SourceUnit, org.codehaus.groovy.classgen.GeneratorContext, org.codehaus.groovy.ast.ClassNode), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#needSortedInput(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(long, int), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(long), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#equals(java.lang.Object), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#toString(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#hashCode(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#getClass(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#notify(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final GroovyClassVisitor visitor

  - ### Constructor Detail

    - #### ScriptVariableAnalyzer.VisitorSourceOperation(GroovyClassVisitor visitor)

  - ### Method Detail

    - #### @Override void call(SourceUnit source, GeneratorContext context, ClassNode classNode)